<?php
include("conexion.php");
$idSalida=$_GET['venta'];
$clave=$_GET['producto'];
?>
<link href="ucaestilos.css" rel="stylesheet" type="text/css">
<script src="pv_ajax.js" language="javascript"></script>
<script src="prototype.js" language="javascript"></script>
<table width="200" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="5"></td>
  </tr>
</table>

<table width="400" border="0" cellpadding="1" cellspacing="0" bgcolor="#CCCCCC">
  <tr>
    <td>
    <table width="100%" border="0" cellpadding="0" cellspacing="5" bgcolor="#FFFFFF">
      <tr>
          <td width="100%" height="25" bgcolor="#4E5B7B" class="titulo"><div align="center">Cambio de producto en venta.</div></td>
        </tr>
      </table>
          <table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
          <tr>
            <td>
            <div id="cambiohecho">
              <table width="100%" border="0" cellpadding="0" cellspacing="8" bgcolor="#FFFFFF">
                <tr>
                  <td width="30%" class="style4">
				  <?php
					$cons3="SELECT idCambio FROM cambiosventa WHERE idSalida='$idSalida' and clave2='$clave'";
					$res3=mysql_query($cons3,$conex) or die ("No se realizó cons3");
					$existe=mysql_num_rows($res3);
					if ($existe == 0)
					{					
						$cons2="SELECT idCambio FROM cambiosventa WHERE idSalida='$idSalida' and clave1='$clave'";
						$res2=mysql_query($cons2,$conex) or die ("No se realizó cons2");
						$idcambio=mysql_result($res2,0,'idCambio');
					}
					else
					{
						$idcambio=mysql_result($res3,0,'idCambio');
					}
					/*   ES CUANDO SI EXISTIA LE DECIA QUE NO SE PODIA HACER EL CAMBIO
					$cons2="SELECT idCambio FROM cambiosventa WHERE idSalida='$idSalida' and clave1='$clave'";
					$res2=mysql_query($cons2,$conex) or die ("No se realizó cons2");
					$existe=mysql_fetch_row($res2);
					if ($existe == 0)
					{ echo "<center><span class='style10'>El cambio ya fue realizado.</span></center><br>";
					echo "<center><a href='ejecutarsalida2.php?consfolio=".$idSalida."'><span class='style9'>Volver</span></a></center>";
					}	
					else
					{
					*/
					$cons1="SELECT nombre FROM productos WHERE clave='$clave'";
					$res1=mysql_query($cons1,$conex) or die ("No se realizó cons1");
					$cadena=mysql_result($res1,0,'nombre');
					//$palabra = strtok($cadena," ");
					?>
                  <div align="right">Producto actual: </div></td>
                  <td width="70%" class="style1"><?php echo $cadena; ?></td>
                </tr>
                <tr>
                  <td class="style4"><div align="right">Cambia por:</div></td>
                  <td>
				 	<?php
					
                    $cons="SELECT clave,nombre FROM productos WHERE clasificacion='Liquidos - polvos' ORDER BY nombre";
                    $res=mysql_query($cons,$conex) or die ("No se pudo consultar los productos");
                    echo "<select name='cambio' id='cambio' class='cuadrotexto'>";
                    While ($campo=mysql_fetch_assoc($res)) 
                    {
                        echo "<option value=".$campo['clave']." >".$campo['nombre']."</option>"; 
                    }
                    echo "</select>";
                        echo "</td>";
                echo "</tr>";
                echo "<tr>";
                  echo "<td class='style4'><input name='idcambio' type='hidden' id='idcambio' value='".$idcambio."'></td>";
                  echo "<td><div align='right'>";
                    echo "<input name='button' type='button' class='boton2' id='button' value='Guadar cambio' onClick='javascript:cambioenventa()'>";
                  echo "</div>";
				  //} ES EL IF DE HAY
				    ?>
                   <input name="consfolio" type="hidden" id="consfolio" value="<?php echo $idSalida; ?>" /></td>
                </tr>
              </table>
             </div>
            </td>
          </tr>
         </table>
    </td>
  </tr>
</table>

